Bug 537723 - SELinux is preventing /usr/sbin/abrtd "name_connect" access.
Summary: SELinux is preventing /usr/sbin/abrtd "name_connect" access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:7e851bc6eb2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-16 01:33 UTC by Braden McDaniel
Modified: 2009-11-24 07:49 UTC (History)
5 users (show)

Fixed In Version: 3.6.32-46.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-24 07:49:53 UTC
Type: ---


Attachments (Terms of Use)

Description Braden McDaniel 2009-11-16 01:33:49 UTC
Summary:

SELinux is preventing /usr/sbin/abrtd "name_connect" access.

Detailed Description:

SELinux denied access requested by abrtd. It is not expected that this access is
required by abrtd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0
Target Context                system_u:object_r:ldap_port_t:s0
Target Objects                None [ tcp_socket ]
Source                        abrtd
Source Path                   /usr/sbin/abrtd
Port                          389
Host                          (removed)
Source RPM Packages           abrt-0.0.11-2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64
                              #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   3
First Seen                    Sun 15 Nov 2009 02:34:31 PM EST
Last Seen                     Sun 15 Nov 2009 08:25:04 PM EST
Local ID                      81bf81cd-9dd2-4d5e-9d55-c52672f16aa9
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258334704.83:7): avc:  denied  { name_connect } for  pid=1754 comm="abrtd" dest=389 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:ldap_port_t:s0 tclass=tcp_socket

node=(removed) type=SYSCALL msg=audit(1258334704.83:7): arch=c000003e syscall=42 success=no exit=-115 a0=9 a1=2333e20 a2=10 a3=7fff9ac69a10 items=0 ppid=1 pid=1754 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="abrtd" exe="/usr/sbin/abrtd" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,abrtd,abrt_t,ldap_port_t,tcp_socket,name_connect
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t ldap_port_t:tcp_socket name_connect;

Comment 1 Miroslav Grepl 2009-11-16 08:39:51 UTC
Fixed in selinux-policy-3.6.32-44.fc12.noarch

Comment 2 Fedora Update System 2009-11-16 19:38:56 UTC
selinux-policy-3.6.32-46.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-46.fc12

Comment 3 Fedora Update System 2009-11-18 14:13:01 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11672

Comment 4 Fedora Update System 2009-11-24 07:47:56 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.